% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HTDoseResponseCurve.R
\name{convert_dataset_for_synergy_DRC}
\alias{convert_dataset_for_synergy_DRC}
\title{given a synergy dataset plot multiple dose response curves for 
drug A separated by individual concentrations of drug B. Standardizes new 
dataset to have drug A as in the columns "treatment" and "concentration". 
Creates new sample types, one for each dose of drug B. The resulting 
dataset can then be passed through to fit_DRC without modification.}
\usage{
convert_dataset_for_synergy_DRC(
  D,
  sample_type,
  treatment_a = "",
  treatment_b = "",
  concentrations_a = NULL,
  concentrations_b = NULL
)
}
\arguments{
\item{D}{experiment dataset with columns matching the output of 
\code{combine_data_and_map}}

\item{sample_type}{single sample type present in D}

\item{treatment_a}{treatment present in D that will be plotted at all 
concentrations in each dose response curve}

\item{treatment_b}{treatment present in D that will be used to divide 
readings into distinct dose response curves}

\item{concentrations_a}{concentrations of treatment A present in D. Do not 
pass the concentration of the vehicle, if one is present.}

\item{concentrations_b}{concentrations of treatment B present in D. Do not 
pass the concentration of the vehicle, if one is present.}
}
\description{
given a synergy dataset plot multiple dose response curves for 
drug A separated by individual concentrations of drug B. Standardizes new 
dataset to have drug A as in the columns "treatment" and "concentration". 
Creates new sample types, one for each dose of drug B. The resulting 
dataset can then be passed through to fit_DRC without modification.
}
