% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.R
\name{plot_isobologram}
\alias{plot_isobologram}
\title{Plot an time course of the raw intensities}
\usage{
plot_isobologram(
  ds,
  sample_type,
  treatment_a,
  treatment_b,
  hour = 0,
  normalize = TRUE,
  xmax = NA,
  ymax = NA
)
}
\arguments{
\item{ds}{synergy experiment dataset with columns matching the output of 
\code{combine_data_and_maps}}

\item{sample_type}{which sample type to draw; only one can be specified}

\item{treatment_a}{which of two synergy treatments is labeled treatment A}

\item{treatment_b}{which of two synergy treatments is labeled treatment B}

\item{hour}{which hour to use from dataset ds, defaults to 0}

\item{normalize}{plot isobologram normalized so that the EC50 for each axis
is normalized to value 1, with other concentrations relative to this value}

\item{xmax}{highest value for X axis (treatment A)}

\item{ymax}{highest value for Y axis (treatment B)}
}
\value{
list( fit_a, fit_b, IC50_a, IC50_b, iso) where fit_a and fit_b are 
the fit of treatments A and B alone, IC50_a and IC50_b, and isobologram, a 
data frame of the points X and Y that were plotted
}
\description{
Plot an time course of the raw intensities
}
