% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.R
\name{plot_treatment_summary}
\alias{plot_treatment_summary}
\title{Create complete report for a single treatment}
\usage{
plot_treatment_summary(
  dataset,
  fit_summary,
  treatment,
  sample_types = NA,
  times_DRC = NA,
  ylim_raw = NA,
  xlim = c(0, 1e+06)
)
}
\arguments{
\item{dataset}{dataset with columns matching the output of 
\code{combine_data_and_maps}}

\item{fit_summary}{output of a call to \code{fit_statistics}}

\item{treatment}{the treatment to display}

\item{sample_types}{sample types to show; if NA, show all in arbitrary order}

\item{times_DRC}{time points at which to plot dose response curves (maximum
of four, must be present in the dataset. If NA, no curves are plotted.}

\item{ylim_raw}{lower and upper y-axis limit for raw DMSO curves}

\item{xlim}{lower and upper x-axis limit for Dose Response Curve, default
c(0, 1e6)}
}
\description{
Create complete report for a single treatment
}
